/************************************************************************
**
** FILE  : dimess.c
**
** ZWECK : Enthaelt die private Funktion DiMess der DiWin-Funktionen
**		Es werden Meldungen ueber die Statuszeile ausgegeben.
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"diwin.H"

#define	schreibe(text) XtVaSetValues(DiStatLabel,XtNlabel,text,NULL)

void DiMessage( nr)	
  int nr;			/* Nummer der Meldung			*/
{
  char 		*t;
  static int 	on = FALSE;	/* Flag ob gerade was angezeigt	wird 	*/
  
  if (nr == DI_CLEAR && on) {	
    schreibe("");
    on = FALSE;
  }
  else {
    switch (nr) {
      case DI_PATH_DOESNT_EXIST:
	schreibe("Hmm.. path doesn't exist");        
      break;

      case DI_CANNOT_WRITE_OVER:
	schreibe("Couldn't overwrite file");        
      break;

      case DI_HERE_WE_ARE:
	schreibe("Here we are now");        
      break;

      case DI_FILE_DOESNT_EXIST:
	schreibe("Hmm.. file doesn't exist");        
      break;
      case DI_IS_NO_NETFILE:
	schreibe("Hmm.. file seems not to be a netfile");        
      break;
    }
    on = TRUE;
  }  	
}  