/************************************************************************
**
** FILE  : hadatmisc.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"hadatmisc.h"
#include	"hawin.h"
#include	"diwin.h"



/*************************************************************************
** FUNKTION:	HaDateiMenuSelect
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
static void HaDateiMenuSelect( w, client_data, call_data)
  Widget 	w;
  XtPointer 	client_data, call_data;
{
  int PaneNum = (int) client_data;

  switch( PaneNum) {
    case 0:				/* NEU			*/ 
      HaNeu();
    break;
    case 2:				/* LADEN		*/
      DiWinPopup( HaDateiButton, (XtPointer) DI_READ, call_data);
    break;
    case 3:				/* SPEICHERN ALS 	*/
      DiWinPopup( HaDateiButton, (XtPointer) DI_WRITE, call_data);
    break;
    case 4:				/* SPEICHERN 		*/
      DiWinPopupC( HaDateiButton, (XtPointer) DI_WRITE, call_data);
    break;				
    case 6:				/* EXIT			*/
      exit( 0);
    break;
  }
}



/*************************************************************************
** FUNKTION:	HaInstDateiMenu
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
#define HA_DATEI_MENU_ENTRYS	7

void HaDateiInstMenu()
{
  int i;
  
  static String DateiMenuEntryLabel[] = {
 	"New",
 	"",
 	"Load ...",
 	"Save as ...",
 	"Save",
 	"",
 	"Quit"};

  static String DateiMenuEntryName[] = {
 	"HaNeuSme",
 	"HaDateiNull1Sme",
 	"HaLoadSme",
 	"HaSaveAsSme",
 	"HaSaveSme",
 	"HaDateiNull2Sme",
 	"HaExitSme"};

  HaDateiButton = XtVaCreateManagedWidget(
  	"HaDateiButton",
  	menuButtonWidgetClass,
  	HaTopPane,
  	XtNlabel, "File",
  	XtNmenuName, "HaDateiMenu",
  	NULL);

  HaDateiMenu = XtVaCreatePopupShell(
  	"HaDateiMenu",
  	simpleMenuWidgetClass,
  	HaDateiButton,
  	NULL);
  
  for (i=0; i<HA_DATEI_MENU_ENTRYS; i++) 
    if ( (i == 1) || (i==5) )
      HaDateiMenuEntry = XtVaCreateManagedWidget(
      		DateiMenuEntryName[ i],
      		smeObjectClass,
      		HaDateiMenu,
      		XtNheight, 10,
      		NULL);
    else {
      HaDateiMenuEntry = XtVaCreateManagedWidget(
      		DateiMenuEntryName[ i],
      		smeBSBObjectClass,
      		HaDateiMenu,
      		XtNlabel, DateiMenuEntryLabel[ i],
      		NULL);

      XtAddCallback( HaDateiMenuEntry, 
      		XtNcallback, 
      		HaDateiMenuSelect, (XtPointer) i);
    }
}  



