/************************************************************************
**
** FILE  : haka.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef HAKA_HH
#define HAKA_HH

#include	"netsize.h"
#include 	<X11/Intrinsic.h>
#include	"hawin.h"

#define HaKaInvLine( x1, y1, x2, y2)   				\
	XDrawLine( MyDisplay, XtWindow( HaGraphPlane), 		\
			InversGC,				\
			x1, y1,					\
			x2, y2)				

#define HaKaLine( x1, y1, x2, y2)   				\
	XDrawLine( MyDisplay, HaGraphPixmap, 			\
			KaGC,					\
			x1, y1,					\
			x2, y2)				

#define HaKaRedraw()  						\
	XCopyArea( MyDisplay, HaGraphPixmap,			\
  		XtWindow( HaGraphPlane),			\
	  	DefaultGCOfScreen( XtScreen( HaGraphPlane)),	\
  		0, 0,						\
	  	PLANE_WIDTH, PLANE_HEIGHT,			\
  		0, 0)	

#endif