/************************************************************************
**
** FILE  : haka.h
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef	HAKA_H
#define HAKA_H


#include 	"katype.h"
#include	"misc.h"
#include 	<X11/Intrinsic.h>


extern GC		KaGC;
extern unsigned long	HaKaColor;
extern BOOLEAN		HaKaAttrWinOn;


extern  int		ENeuNr;			/* Eckenzaehler		*/
extern  ECKE		*Ecke;			/* Eckenliste		*/
extern  KOORDINATE	StartKoord;		/* Startknoten		*/
extern  KOORDINATE	ZielKoord;		/* Zielknoten		*/
extern  int		StartNr;		
extern  int		ZielNr;
extern  char		StartTyp;		/* Typ Startknoten	*/
extern  char		ZielTyp;		/* Typ Zielknoten	*/
extern  KOORDINATE	HaKaFirst;



#endif