/************************************************************************
**
** FILE  : haneumisc.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"haneumisc.h"
#include	"hakaio.h"
#include	"hatraio.h"
#include	"hasteio.h"
#include	"haka.H"
#include	"ste.h"
#include	"tra.h"
#include	"haka.h"
#include	"diwin.h"
#include	"hamess.h"
#include	"simfire.h"

/*************************************************************************
** FUNKTION:	HaNeu
** ZWECK:	Loescht alles
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	einfache und sichere Methode
**		man kann es aber viel schneller aber direkter
**		und komplizierter machen
*************************************************************************/
void HaNeu()
{
  register int		i;
  register STELLE 	**s;
  register TRANSITION	**t;
  ECKE			*e;
  Widget		w;
  XtPointer		d;
  

  for (i=0, s=SteStelle; i<STEMAX; i++, s++)
    if (*s)
      HaSteRemoveX( i);

  for (i=0, t=TraTrans; i<TRAMAX; i++, t++)
    if (*t)
      HaTraSingleRemoveX( i);
  
  if ( HaToggleOn == HaKaToggle) {
    HaWinSayKa( w, d, d);
    HaWinSayKa( w, d, d);
  }
    
  HaKaRedraw();    
  DirInh.File[0] = EOL;
  HaWinSetFilename( NULL);
  SimTouch();
}