/************************************************************************
**
** FILE  : hastemisc.h
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef HASTEMISC_H
#define HASTEMISC_H

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>

#define HaInversSte( x, y)  XCopyArea( MyDisplay,		\
				HaStePixmap,			\
				XtWindow( HaGraphPlane),	\
  				InversGC,			\
  				0,0,				\
  				HA_STE_DM,HA_STE_DM,		\
  				x - HA_STE_RAD, y - HA_STE_RAD)

extern void HaSteInit();
extern void HaSteDrawX( int, GC);
extern void HaSteDraw( int, GC);

extern void HaSetSte( Widget, XEvent *, String *, Cardinal *);
extern void HaMovSte( Widget, XEvent *, String *, Cardinal *);
extern void HaMovSteStart( Widget, XEvent *, String *, Cardinal *);
extern void HaMovSteStop( Widget, XEvent *, String *, Cardinal *);
extern void HaWinSaySte( Widget, XtPointer, XtPointer);


#endif

