/************************************************************************
**
** FILE  : hatramisc.h
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef HATRAMISC_H
#define HATRAMISC_H

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>


#define HaInversTra( x, y)  XCopyArea( MyDisplay,		\
				HaTraPixmap,			\
				XtWindow( HaGraphPlane),	\
  				InversGC,			\
  				0,0,				\
  				HA_TRA_DM,HA_TRA_DM,		\
  				x - HA_TRA_RAD, y - HA_TRA_RAD)

extern void HaTraInit();
extern void HaTraDrawX( int, GC);
extern void HaTraDraw( int, GC);
extern void HaTraSetDarst( char);

extern void HaSetTra( Widget, XEvent *, String *, Cardinal *);
extern void HaChangeTra( Widget, XEvent *, String *, Cardinal *);
extern void HaMovTra( Widget, XEvent *, String *, Cardinal *);
extern void HaMovTraStart( Widget, XEvent *, String *, Cardinal *);
extern void HaMovTraStop( Widget, XEvent *, String *, Cardinal *);
extern void HaWinSayTra( Widget, XtPointer, XtPointer);


#endif