/************************************************************************
**
** FILE  : kawininst.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"kawin.H"
#include	"hawin.h"

#include 	"ikadel"



void KaWinPressOK( w, event, params, num_params)
  Widget 	w;
  XEvent 	*event;
  String 	*params;
  Cardinal 	*num_params;
{
  KaWinSayOK(w, (XtPointer)0, (XtPointer)0);
}

void KaWinPressCan( w, event, params, num_params)
  Widget 	w;
  XEvent 	*event;
  String 	*params;
  Cardinal 	*num_params;
{
  KaWinSayCancel(w, (XtPointer)0, (XtPointer)0);
}



/*************************************************************************
** FUNKTION:	KaWinInst
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
void KaWinInst( Parent)
  Widget	Parent;
{
  Dimension	w1, h1;
  Position	x, y;

  static Pixmap IKaDelPixMap;

  static XtActionsRec window_actions[] = {
  	{"KaWinPressOK", 	KaWinPressOK},
  	{"KaWinPressCan", 	KaWinPressCan}};
  
  static char *KaLabel[] = {
  	"Weight  :       ",
  	"To Place   :    ",
  	"To Transition  :",
  	"Negative Edge :  ",
  	"OK",
  	"Cancel"};

  KaShell = XtVaCreatePopupShell(
	"KaShell",
	transientShellWidgetClass,
	Parent,
	NULL);

  KaForm = XtVaCreateManagedWidget(
	"KaForm", 		/* widget name 			*/
	formWidgetClass,	/* widget class 		*/
	KaShell,		/* parent widget		*/
	NULL);			/* terminate argument list	*/

  KaAForm = XtVaCreateManagedWidget(
	"KaAForm", 		/* widget name 			*/
	formWidgetClass,	/* widget class 		*/
	KaForm,			/* parent widget		*/
	NULL);			/* terminate argument list	*/

  KaNrLabel = XtVaCreateManagedWidget(
	"KaNrLabel", 		/* widget name 			*/
	labelWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNlabel, "Transition S000 - T000",
	NULL);			/* terminate argument list	*/

  KaGewichtLabel = XtVaCreateManagedWidget(
	"KaGewichtLabel", 	/* widget name 			*/
	labelWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNlabel, KaLabel[0],
	NULL);			/* terminate argument list	*/

  KaGewichtText = XtVaCreateManagedWidget(
	"KaGewichtText", 	/* widget name 			*/
	asciiTextWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNstring, "123",
	XtNeditType,XawtextEdit,	/* argument list		*/
	NULL);			/* terminate argument list	*/

  KaPlatzLabel = XtVaCreateManagedWidget(
	"KaPlatzLabel", 	/* widget name 			*/
	labelWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNlabel, KaLabel[1],
	NULL);			/* terminate argument list	*/

  KaPlatzToggle = XtVaCreateManagedWidget(
	"KaPlatzToggle", 	/* widget name 			*/
	toggleWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNstate, TRUE,
	XtNlabel, "  ",
	NULL);			/* terminate argument list	*/

  KaTransLabel = XtVaCreateManagedWidget(
	"KaTransLabel", 	/* widget name 			*/
	labelWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNlabel, KaLabel[2],
	NULL);			/* terminate argument list	*/

  KaTransToggle = XtVaCreateManagedWidget(
	"KaTransToggle", 	/* widget name 			*/
	toggleWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNstate, FALSE,
	XtNradioGroup, KaPlatzToggle,
	XtNlabel, "  ",
	NULL);			/* terminate argument list	*/

  KaVerbLabel = XtVaCreateManagedWidget(
	"KaVerbLabel",  	/* widget name 			*/
	labelWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNlabel, KaLabel[3],
	NULL);			/* terminate argument list	*/

  KaVerbToggle = XtVaCreateManagedWidget(
	"KaVerbToggle", 	/* widget name 			*/
	toggleWidgetClass,	/* widget class 		*/
	KaAForm,		/* parent widget		*/
	XtNstate, FALSE,
	XtNradioGroup, KaPlatzToggle,
	XtNlabel, "  ",
	NULL);			/* terminate argument list	*/


  KaOKCom = XtVaCreateManagedWidget(
	"KaOKCom", 		/* widget name 			*/
	commandWidgetClass,	/* widget class 		*/
	KaForm,			/* parent widget		*/
	XtNlabel, KaLabel[4],
	NULL);			/* terminate argument list	*/

  KaCanCom = XtVaCreateManagedWidget(
	"KaCanCom", 		/* widget name 			*/
	commandWidgetClass,	/* widget class 		*/
	KaForm,			/* parent widget		*/
	XtNlabel, KaLabel[5],
	NULL);			/* terminate argument list	*/


  IKaDelPixMap = XCreateBitmapFromData( 
  	XtDisplay( KaShell),
	RootWindowOfScreen( XtScreen( KaShell)),
	ikadel_bits,
	ikadel_width, ikadel_height );

  KaDelCom = XtVaCreateManagedWidget(
	"KaDelCom", 		/* widget name 			*/
	commandWidgetClass,	/* widget class 		*/
	KaForm,			/* parent widget		*/
	XtNbitmap, IKaDelPixMap,
	NULL);			/* terminate argument list	*/


  XtTranslateCoords( HaGraphPlane, 	/* berechne absolute Koordinaten*/
	(Position) 20,
	(Position) 20, 
	&x, &y);     

  XtVaSetValues( KaShell,	/* Positioniere KaShell		*/
	XtNx, x,
	XtNy, x,
	NULL);

  XtAppAddActions( AppContext, window_actions, XtNumber(window_actions));
  XtAddCallback( KaOKCom, XtNcallback, KaWinSayOK, 0);
  XtAddCallback( KaCanCom, XtNcallback, KaWinSayCancel, 0);
  XtAddCallback( KaPlatzToggle, XtNcallback, KaWinSayPlatz, 0);
  XtAddCallback( KaTransToggle, XtNcallback, KaWinSayTrans, 0);
  XtAddCallback( KaVerbToggle, XtNcallback, KaWinSayVerb, 0);
  XtAddCallback( KaDelCom, XtNcallback, KaWinSayDel, 0);
}  
