/************************************************************************
**
** FILE  : pns.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include 	"hawin.h"
#include	"ste.h"
#include	"tra.h"
#include	"ka.h"
#include	"stewin.h"
#include	"trawin.h"
#include	"kawin.h"
#include	"cell.h"
#include	"hamem.h"
#include	"stepsinst.h"

#include	"hastepmisc.h"
#include	"habreakmisc.h"
#include 	"hawininst.h"

#include <stdio.h>

extern Widget HaSimButton;
extern Widget HaSimMenu;
extern Widget HaSimEntry;
extern Widget HaSimBox;
extern Widget HaSimMenuLabel;

extern Widget HaKonButton;
extern Widget HaKonMenu;
extern Widget HaKonEntry;
extern Widget HaKonBox;
extern Widget HaKonMenuLabel;

main( argc, argv)
  int 	argc;
  char 	**argv;
{
  HaWinInst( &argc, argv);
  SteWinInst( HaShell);
  TraWinInst( HaShell);
  KaWinInst( HaShell);
  StepsWinInst( HaShell);
  
  HaGraphInit(); 
  
  CellInit();
  SteInit(); HaSteInit();
  TraInit(); HaTraInit();
  KaInit();  HaKaInit();

  HaStepInit(); HaBreakInit();
  HaMemInit();  
  
  XtRealizeWidget( HaShell);
  XtAppMainLoop( AppContext);
}  