/************************************************************************
**
** FILE  : pnsres.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/

#include	"misc.h"

char      *PNSResources[]={

      "*HaGraphPlane.background:	linen",

/**** -----------------------------------                */
/****   FARBEN                                           */
/****   SteShell                                         */
/**** -----------------------------------                */
      "*SteBPane*Command.background:	LightGray",
      "*SteDLabel.background:		snow2",
      "*SteAForm.background:		linen",
      "*SteAForm*Label.background:	linen",
      "*SteAForm*Label.borderColor:	linen",
      "*SteDelCom.foreground:		red",

/**** -----------------------------------                */
/****   FARBEN                                           */
/****   TraShell                                         */
/**** -----------------------------------                */
      "*TraPane*Command.background:	LightGray",
      "*TraAForm.background:		linen",
      "*TraAForm*Label.background:	linen",
      "*TraAForm*Label.borderColor:	linen",
      "*TraDelCom.foreground:		red",
      "*TraDLabel.background:		snow2",

/**** -----------------------------------                */
/****   FARBEN                                           */
/****   KaShell                                          */
/**** -----------------------------------                */
      "*KaShell*Command.background:	LightGray",
      "*KaShell*Toggle.background:	LightGray",
      "*KaAForm.background:		linen",
      "*KaAForm*Label.background:	linen",
      "*KaAForm*Label.borderColor:	linen",
      "*KaDelCom.foreground:		red",
      "*KaForm.background:		snow2",

      "*DiMaForm.background:		snow2",
      "*AskForm*Label.borderColor: 	white",
      "*DiMaLabel.borderColor:		snow2",
      "*DiMaLabel.background:		snow2",
      "*DiStatLabel.background:	snow2",
      "*DiFiLabel.background:		snow1",
      "*DiPaLabel.background:		snow1",
      "*List.background:		linen",
      "*DiShell*Command.background:	LightGray",

      "*HaSetMenu*Box.borderColor:	white",
      "*HaSetMenu*Label.borderColor:	white",
      "*HaSetMenu*MenuButton.borderColor:	white",

      "*HaMidPane*Toggle.background:	LightGray",
      "*HaMidPane*Label.background:	snow2",
      "*HaMidPane*Command.background:	LightGray",
      "*HaTopNullLabel.background:	snow2",
      "*HaFileLabel.background:	snow2",
      "*HaSubPane*background:		snow2",

      "*HaDelToggle.foreground:	red",
      "*HiText*background:		linen",

      "*HaShell*Scrollbar.background:	snow1",

/**** -----------------------------------                */
/****   LABELS                                           */
/**** -----------------------------------                */
      "*DiMaLabel.label:",
      "*DiFiLabel.label: 		File",
      "*DiPaLabel.label: 		Directory",
      "*DiAcCom.label:",
      "*DiCanCom.label:			Cancel",
      "*DiStatLabel.label:",

      "*HaSetMenu*Box.hSpace:		0",
      "*HaSetMenu*Box.vSpace:		0",
      "*HaShell.Title: PNS-93",
      "*Title:",
      "*DiMaLabel.justify:		left",
      "*DiFiText.bottomMargin: 		3",
      "*DiPaText.bottomMargin:		3",
      "*List.defaultColumns: 		1",
      "*List.forceColumns:		TRUE",
      "*Paned*showGrip:			FALSE",
      "*DiFiView.forceBars:		TRUE",
      "*DiPaView.forceBars:		TRUE",
      "*DiMaLabel.height:		30",
      "*StepsShell.width:		30",
      "*StepsOKCom.min:			30",

/**** -----------------------------------                */
/****   TRANSLATIONEN                                    */
/**** -----------------------------------                */

      "*DiFiText*translations: #override\n\
      		<Key>Return: DiFiAction()",

      "*DiPaText*translations:		#override\n\
      		<Key>Return:		DiPaLoad()",

      "*DiFiList*translations:		#override\n\
      		<Btn1Up>(2):		DiFiAction()\n\
      		<Btn1Down>,<Btn1Up>:	 Set() Notify()",

      "*DiPaList*translations:		#override\n\
      		<Btn1Down>,<Btn1Up>: 	Set() Notify()",

      "*SteShell*translations: 		#override\n\
      		<Key>Return:		SteWinPressOK()\n\
      		<Key>Escape:		SteWinPressCan()",

      "*TraShell*translations: 		#override\n\
      		<Key>Return:		TraWinPressOK()\n\
      		<Key>Escape:		TraWinPressCan()",

      "*KaShell*translations: 		#override\n\
      		<Key>Return:		KaWinPressOK()\n\
      		<Key>Escape:		KaWinPressCan()",

      "*StepsShell*Text.translations: 	#override\n\
      		<Key>Return:",

      "*StepsOKCom.translations: 	#override\n\
      		<EnterWindow>:		highlight()\n\
      		<LeaveWindow>:		reset()\n\
      		<Btn1Down>:		\n\
      		<Btn1Up>:		\n\
      		<Btn3Down>:		set()\n\
      		<Btn3Up>:		notify() unset()",

      "*StepsCanCom.translations: 	#override\n\
      		<EnterWindow>:		highlight()\n\
      		<LeaveWindow>:		reset()\n\
      		<BtnDown>:		set()\n\
      		<BtnUp>:		notify() unset()",

      "*HaStepToggle.translations:  	#override\n\
      		<EnterWindow>:		highlight( Always)\n\
      		<LeaveWindow>:		unhighlight()\n\
      		<Btn1Down>,<Btn1Up>: 	toggle() notify()\n\
		<Btn2Down>,<Btn2Up>:	toggle() HaWinSayRun()\n\
      		<Btn3Down>,<Btn3Up>: 	toggle() StepsWinPopup()",

      "*KaShell*Toggle.translations:  	#override\n\
      		<Btn1Down>,<Btn1Up>: 	set() notify()",
/*
      "*KaShell*Text.translations: 	#override\n\
      		<Key>Return:",
*/
      "*SetShell*Toggle.translations:  	#override\n\
      		<Btn1Down>,<Btn1Up>: 	set() notify()",


      "*KaAForm*Toggle.shapeStyle: 	oval",
      "*SetShell*Toggle.shapeStyle: 	oval",

      "*HaFileLabel.font:		*medium-r*12*",
      "*HaMemLabel.font:		*medium-r*10*1",
      "*HaSimLabel.font:		*medium-r*10*1",
      "*HaAnzLabel.font:		*medium-r*10*1",
      "*HiText*font:			-adobe-times-medium-r*14*",

      "*SteNameLabel.vertDistance: 	17",
      "*SteNameText.vertDistance: 	17",
      "*TraNameLabel.vertDistance: 	17",
      "*TraNameText.vertDistance: 	17",
      "*KaGewichtLabel.vertDistance: 	17",
      "*KaGewichtText.vertDistance: 	17",
      "*KaPlatzLabel.vertDistance: 	17",
      "*KaPlatzToggle.vertDistance: 	17",
      "*KaDelCom.horizDistance: 	123",
      "*HaAnzLabel.internalWidth:	1",

/**** -----------------------------------                */
/****   FESTE BREITEN DER SCROLLBARS                     */
/**** -----------------------------------                */
      "*DiFiText*thickness:		5",
      "*DiPaText*thickness:		5",
      "*DiFiView*thickness:		12",
      "*DiPaView*thickness:		12",

/**** -----------------------------------                */
/****   NICHTVERAENDERBARE HOEHEN                        */
/**** -----------------------------------                */
      "*DiFiText.max:			26",
      "*DiPaText.max:			26",
      "*DiFiText.min:			26",
      "*DiPaText.min:			26",
      "*DiFiLabel.max:			22",
      "*DiPaLabel.max:			22",
      "*DiFiView.max:			240",
      "*DiFiView.min:			240",
      "*DiPaView.max:			240",
      "*DiPaView.min:			240",
      "*KaDelCom.horizDistance: 	123",

/**** -----------------------------------                */
/****   RAEUMLICHE ANORDNUNG                             */
/****   DiMaForm                                         */
/**** -----------------------------------                */
      "*DiCanCom.fromHoriz:		DiAcCom",
      "*DiStatLabel.fromHoriz: 		DiCanCom",
      "*DiPaPaned.fromHoriz:		DiFiPaned",

      "*DiPaPaned.fromVert:		DiMaLabel",
      "*DiFiPaned.fromVert:		DiMaLabel",
      "*DiAcCom.fromVert:		DiFiPaned",
      "*DiCanCom.fromVert:		DiFiPaned",
      "*DiStatLabel.fromVert:		DiFiPaned",

/**** -----------------------------------                */
/****   RAEUMLICHE ANORDNUNG                             */
/****   AskForm                                          */
/**** -----------------------------------                */
      "*AskLabel2.fromVert:		AskLabel1",
      "*AskNoCom.fromVert:		AskLabel2",
      "*AskYesCom.fromVert:		AskLabel2",

      "*AskNoCom.fromHoriz:		AskYesCom",

/**** -----------------------------------                */
/****   RAEUMLICHE ANORDNUNG                             */
/****   SteShell                                         */
/**** -----------------------------------                */
      "*SteNameLabel.fromVert:		SteNrLabel",
      "*SteNameText.fromVert:		SteNrLabel",
      "*SteNameText.fromHoriz:		SteNameLabel",

      "*SteMarkeLabel.fromVert: 	SteNameLabel",
      "*SteMarkeText.fromVert: 		SteNameLabel",
      "*SteMarkeText.fromHoriz: 	SteMarkeLabel",

      "*SteBreakLabel.fromVert: 	SteMarkeLabel",
      "*SteBreakText.fromVert: 		SteMarkeLabel",
      "*SteBreakText.fromHoriz: 	SteBreakLabel",

/**** -----------------------------------                */
/****   RAEUMLICHE ANORDNUNG                             */
/****   TraShell                                         */
/**** -----------------------------------                */
      "*TraNameLabel.fromVert:		TraNrLabel",
      "*TraNameText.fromVert:		TraNrLabel",
      "*TraNameText.fromHoriz:		TraNameLabel",

      "*TraPrioLabel.fromVert: 		TraNameLabel",
      "*TraPrioText.fromVert: 		TraNameLabel",
      "*TraPrioText.fromHoriz: 		TraPrioLabel",

      "*TraBreakLabel.fromVert: 	TraPrioLabel",
      "*TraBreakCom.fromVert: 		TraPrioLabel",
      "*TraBreakCom.fromHoriz: 		TraBreakLabel",

/**** -----------------------------------                */
/****   RAEUMLICHE ANORDNUNG                             */
/****   KaShell                                          */
/**** -----------------------------------                */
      "*KaOKCom.fromVert:		KaAForm",
      "*KaCanCom.fromVert:		KaAForm",

      "*KaCanCom.fromHoriz:		KaOKCom",
      "*KaDelCom.fromHoriz:		KaCanCom",
      "*KaDelCom.fromVert:		KaAForm",

      "*KaGewichtLabel.fromVert:	KaNrLabel",
      "*KaGewichtText.fromVert:		KaNrLabel",
      "*KaGewichtText.fromHoriz:	KaGewichtLabel",

      "*KaPlatzLabel.fromVert: 		KaGewichtLabel",
      "*KaPlatzToggle.fromVert: 	KaGewichtLabel",
      "*KaPlatzToggle.fromHoriz: 	KaPlatzLabel",

      "*KaTransLabel.fromVert: 		KaPlatzLabel",
      "*KaTransToggle.fromVert: 	KaPlatzLabel",
      "*KaTransToggle.fromHoriz: 	KaTransLabel",

      "*KaVerbLabel.fromVert: 		KaTransLabel",
      "*KaVerbToggle.fromVert: 		KaTransLabel",
      "*KaVerbToggle.fromHoriz: 	KaVerbLabel",

      NULL};
