/************************************************************************
**
** FILE  : askwin.h
**
** ZWECK : - Headerfile fuer die AskWin-Funktionen.
**
**	   - AskWin ist ein einfaches Widget, das dem Benutzer eine Ja/Nein-
**	     Entscheidung abverlangt. 
**
**	   - Es werden 2 Texte (Labels) untereinander angezeigt. Darunter
**	     ist ein JA- und ein NEIN-Button angebracht.
**
**	   - Das Widget liegt etwa im Zentrum seines Eltern-Widgets
**
**	   - Die Aufrufende Funktion legt fest, was passiert, wenn ein
**	     Button gedrueckt wird.
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef ASKWIN_H
#define ASKWIN_H

#include	<X11/Intrinsic.h>

extern void AskWinPopup(	/* erzeugt und zeigt exclusiv an	*/
  	Widget,			/* Eltern-Widget			*/
	char *,			/* Text 1				*/
	char *,			/* Text 2				*/
	void	AskSayYes(),	/* Funktion fuer JA-Button		*/
  	void	AskSayNo());	/* Funktion fuer NEIN-Button		*/

extern void AskWinPopdown();	/* blendet aus und zerstoert		*/

#endif