/************************************************************************
**
** FILE  : cell.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef CELL_HH
#define CELL_HH

#include 	"netsize.h"




/*************************************************************************
** FUNKTION:	Cell#Koord
** ZWECK:	Berechnet Cell-Koordinate aus Plane-Koordinate
** INPUT:	Plane-Koordinate
** OUTPUT: 	Cell-Koordinate
** ANMERK: 	cX = x * (CELL_WIDTH / PLANE_WIDTH)
**		mit CELL_WIDTH = (PLANE_WIDTH / CELL_SIZE)
**		cX = x * (1 / CELL_SIZE)
*************************************************************************/
#define CellXKoord( x)	( (int)( (x) / CELLSIZE ) )
#define CellYKoord( y)	( (int)( (y) / CELLSIZE ) )




#endif
