/************************************************************************
**
** FILE  : cellmisc.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"cellmisc.h"
#include 	"cell.h"
#include	"misc.h"





/*************************************************************************
** FUNKTION:	CellInit
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
void CellInit()
{
  register int 		i;
  register OBJECT	**p;
  int			max = CELL_WIDTH * CELL_HEIGHT;
  
  p = (OBJECT **)Cell;
  for (i=0; i < max; i++, p++)
    *p = NULL;
  
  SORL = (OBJECT *)malloc( sizeof( OBJECT));
  SORL->next = NULL;
  CellRefreshList = SORL;
}





/*************************************************************************
** FUNKTION:	CellClearRL
** ZWECK:	Loescht Refresh-Liste
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
void CellClearRL()
{
  OBJECT 	*rl, *d;
  
  rl = CellRefreshList->next;
  CellRefreshList->next = NULL;
  while (d = rl) {
    rl = rl->next;
    free( d);
  }
}




