/*********************************************************
**
** FILE:    celltype.h
**
** AUTOR:   Michael C. Ancutici		
**
** DATUM:   07.03.93
**
*********************************************************/
#ifndef	CELLTYPE_H
#define CELLTYPE_H

#include 	"netsize.h"



#define CE_OK			'0'
#define CE_STELLE		'a'
#define CE_STE_NAME		'b'
#define CE_TRANSITION		'c'
#define CE_TRANS_NAME		'd'
#define CE_TS_KANTE		'e'
#define CE_TEXT 		'g'
#define CE_ST_KANTE		'h' 
#define CE_ST_KANTE_DELTA	'f'
#define CE_TS_KANTE_DELTA	'j'

#define CE_NULL			'i'
#define CE_NOTHING		-1

#define CellTextHeight		10




/****** VERWEIS AUF EIN OBJEKT EINES BLOCKES *************************/
typedef struct Objekt {
  char			typ;	/* Typ des Elementes			*/
  struct Objekt		*next;	/* naechstes Element, das den-		*/
  				/* selben Block belegt			*/
  int			Nr1;	/* Nr der Stelle, Transition, Kante, Text */
  int			Nr2;	/* falls typ = CE_KANTE: Nr1 = Stelle, Nr2 = Trans */ 
} OBJECT;			/* Abhaengigkeit von typ		*/




/****** VIRTUELLE ZEICHENFLAECHE IN BLOCKEN, ************************/
typedef OBJECT		*CELL[ CELL_WIDTH] [ CELL_HEIGHT];





#endif




