/************************************************************************
**
** FILE  : discan.c
**
** ZWECK : Private Funktion DiScan der DiWin-Funktionen
**		Scannt Verzeichnis und aendert anzeigendes Widget
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"diwin.H"
#include	"dir.h"

void DiScan()
{
  ScanDir( &DirInh);			

  DirInh.ScanNew = FALSE; 
   
  XawListChange( 			/* aendert File Liste		 */
    	DiFiList, 			
  	DirInh.Name+DirInh.nSubDir,	/* Beginn der Filepointer	 */
  	DirInh.nFiles-DirInh.nSubDir,	/* Anzahl der fuer Zeiger, die	 */
  	0, TRUE);			/* fuer diese Liste relevant sind*/
 
  XawListChange( 
  	DiPaList, 			
  	DirInh.Name,			/* hier beginnen die Pfade	 */ 
  	DirInh.nSubDir,			/* Anzahl der fuer Zeiger, die 	 */
  	0, TRUE);			/* fuer diese Liste relevant sind*/

  if (DirInh.File[ 0] == EOL) 		/* wenn kein gueltiger Filename	 */
    XtVaSetValues( DiFiText, 		/* dann wird ein eventuell	 */
  	XtNstring, "",			/* angezeigter Filename geloescht*/
  	NULL);
  	
  XtVaSetValues( DiPaText, 		/* Pfadname anzeigen		*/
  	XtNstring, DirInh.Pfad,
  	NULL);

  XtVaSetValues( DiPaText, 		/* Textcursor setzen		*/
  	XtNinsertPosition, strlen(DirInh.Pfad),
  	NULL);
}
