/************************************************************************
**
** FILE  : halook.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"halook.h"
#include	"hawin.h"
#include	"celltype.h"
#include	"kawin.h"
#include	"trawin.h"
#include	"stewin.h"

#include <stdio.h>




/*************************************************************************
** FUNKTION:	HaLook
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
void HaLook( w, event, params, num_params)
  Widget 	w;
  XEvent 	*event;
  String 	*params;
  Cardinal 	*num_params;
{
  int n;
  OBJECT	*p;
  XtPointer	d;
  KAWIN_SPEC	KaWinSpec;


  n = CellGetForLook(((XButtonEvent *)event)->x, ((XButtonEvent *)event)->y, &p);

  if (n == 1) {
    switch (p->typ) {
      case CE_STELLE:
        SteWinPopup( HaGraphPlane, (XtPointer)(p->Nr1), d);
      break;
      case CE_TRANSITION:
        TraWinPopup( HaGraphPlane, (XtPointer)(p->Nr1), d);
      break;
      case CE_ST_KANTE:
    	KaWinSpec.SNr = p->Nr1;
	KaWinSpec.TNr = p->Nr2;
    	KaWinSpec.ST  = TRUE;
    	KaWinPopup( HaGraphPlane, (XtPointer)(&KaWinSpec), d);
      break;
      case CE_TS_KANTE:
    	KaWinSpec.SNr = p->Nr1;
	KaWinSpec.TNr = p->Nr2;
    	KaWinSpec.ST  = FALSE;
    	KaWinPopup( HaGraphPlane, (XtPointer)(&KaWinSpec), d);
      break;
    }
    free( p);  
  }
  else if (n > 1) {
    switch (p->typ) {
      case CE_STELLE:
	fprintf( stderr, "*** HaLook: some places\n");
      break;
      case CE_TRANSITION:
	fprintf( stderr, "*** HaLook: some transitions\n");
      break;
      case CE_ST_KANTE:
	fprintf( stderr, "*** HaLook: some PT-edges\n");
      break;
      case CE_TS_KANTE:
	fprintf( stderr, "*** HaLook: some TP-edges\n");
      break;
    }
  }
}
