/************************************************************************
**
** FILE  : hawin.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef HAWIN_HH
#define HAWIN_HH


#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Paned.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Toggle.h>
#include 	<X11/Xaw/Viewport.h>

extern XtAppContext	AppContext;

extern Widget		HaShell;
extern Widget		HaPane;
extern Widget		HaMidPane;
extern Widget		HaButtonPane;
extern Widget		HaSteToggle;
extern Widget		HaTraToggle;
extern Widget		HaKaToggle;
extern Widget		HaTextToggle;
extern Widget		HaNullButLabel;
extern Widget		HaGraphView;
extern Widget		HaGraphPlane;
extern Widget		HaSubPane;
extern Widget		HaStatLabel;
extern Widget		HaKonLabel;
extern Widget		HaSimLabel;

extern Window		HaGraphPlaneWin;
extern Widget		HaToggleOn;


extern Display		*MyDisplay;
extern int		MyScreen;
extern GC		ModGC;
extern GC		ClearGC;
extern GC		InvClearGC;
extern GC		InversGC;
extern Colormap		CMap;
extern Pixmap		HaGraphPixmap;
extern int		MyDepth;


extern KOORDINATE	HaAlt;

extern unsigned long	HaBackColor;
extern unsigned long	HaModColor; 


#endif