/************************************************************************
**
** FILE  : hawin.h
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef HAWIN_H
#define HAWIN_H


#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Paned.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Toggle.h>
#include 	<X11/Xaw/Viewport.h>

#include 	<X11/Xaw/MenuButton.h>
#include 	<X11/Xaw/SimpleMenu.h>
#include 	<X11/Xaw/SmeBSB.h>
#include 	<X11/Xaw/SmeLine.h>

#include	"misc.h"

extern XtAppContext	AppContext;

extern Widget		HaShell;
extern Widget		HaPane;
extern Widget		HaTopPane;
extern Widget		HaMidPane;
extern Widget		HaButtonPane;
extern Widget		HaSteToggle;
extern Widget		HaTraToggle;
extern Widget		HaKaToggle;
extern Widget		HaDelToggle;
extern Widget		HaTextToggle;
extern Widget		HaSaveToggle;
extern Widget		HaStepToggle;
extern Widget		HaUnbreakToggle;
extern Widget		HaStepsToggle;
extern Widget		HaGoToggle;
extern Widget		HaNullButLabel;
extern Widget		HaGraphView;
extern Widget		HaGraphPlane;
extern Widget		HaSubPane;
extern Widget		HaStatLabel;
extern Widget		HaKonLabel;
extern Widget		HaSimLabel;
extern Widget		HaMemICom;
extern Widget		HaMemOCom;
extern Widget		HaMemLabel;
extern Widget		HaAnzLabel;

extern Widget		HaDateiButton;
extern Widget		HaDateiMenu;
extern Widget 		HaDateiMenuEntry;
extern Widget		HaSetButton;
extern Widget		HaSetMenu;
extern Widget		HaSetMenuEntry;
extern Widget		HaTopNullLabel;
extern Widget		HaFileLabel;

extern Window		HaGraphPlaneWin;
extern Widget		HaToggleOn;


extern Display		*MyDisplay;
extern int		MyScreen;
extern GC		ModGC;
extern GC		BlackGC;
extern GC		ClearGC;
extern GC		InvClearGC;
extern GC		InversGC;
extern Colormap		CMap;
extern Pixmap		HaGraphPixmap;
extern int		MyDepth;
extern XFontStruct	*HaNameFont;
extern XFontStruct	*HaMarkeFont;


extern KOORDINATE	HaAlt;

extern unsigned long	HaBackColor;
extern unsigned long	HaModColor; 
extern unsigned long	HaBlackColor; 


#endif