/*********************************************************
**
** FILE:    katype.h
**
** AUTOR:   Michael C. Ancutici		
**
** DATUM:   07.03.93
**
*********************************************************/
#ifndef	KATYPE_H
#define KATYPE_H


#include 	"netsize.h"
#include 	"misc.h"


/****** EINE ECKE, KEIN START ODER ENDPUNKT *****************************/
typedef struct ecke_t {
  int			x, y;
  int			ENr;	
  struct ecke_t		*next;
} ECKE;  


/****** ATTRIBUTE EINER KANTE *******************************************/ 
typedef struct {
  BOOLEAN	NegativKante;	/* TRUE falls Negativkante		*/
  int		delta;		/* Richtung und Groesse Markenzunahme	*/
  KOORDINATE	PosDelta;	/* Ort, an dem delta angeschrieben ist	*/
  void		*OrgKa;
  void		*OrgKaD;
  int		ENeuNr;
  ECKE		*Ecke;		/* Kanteneckpunkte			*/
} KANTE;


/****** GESAMTHEIT ALLER KANTEN *****************************************/
/*typedef KANTE 	*KANTEN[ STEMAX][ TRAMAX]; */
				/* Feld mit Zeigern auf Kanten		*/

typedef struct {
  KANTE		*NachTrans;
  KANTE		*NachStelle;
} KANTEN[ STEMAX][ TRAMAX];   


#endif