/************************************************************************
**
** FILE  : kawin.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef KAWIN_HH
#define KAWIN_HH

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Form.h>
#include 	<X11/Xaw/Toggle.h>
#include 	<X11/Xaw/AsciiText.h>
#include 	<X11/Xaw/Command.h>

#include	"ka.h"
#include 	"kawin.h"
#include	"misc.h"


#define ST_TYP		'a'
#define STneg_TYP	'b'
#define TS_TYP		'c'

		
extern Widget		KaShell;
extern Widget 		KaForm;
extern Widget		KaAForm;
extern Widget		KaNrLabel;
extern Widget		KaGewichtLabel;
extern Widget		KaGewichtText;
extern Widget		KaPlatzLabel;
extern Widget		KaPlatzToggle;
extern Widget		KaTransLabel;
extern Widget		KaTransToggle;
extern Widget		KaVerbLabel;
extern Widget		KaVerbToggle;
extern Widget		KaOKCom;
extern Widget		KaCanCom;
extern Widget		KaDelCom;

extern char		KaWinTyp;
extern KAWIN_SPEC	KaWinSpec;
extern BOOLEAN		KaWinNegativOn;
extern KANTE		*KaWinKante;


extern void KaWinSayOK( 
	Widget,
	XtPointer,
	XtPointer);

extern void KaWinSayCancel( 
	Widget,
	XtPointer,
	XtPointer);

extern void KaWinSayPlatz( 
	Widget,
	XtPointer,
	XtPointer);

extern void KaWinSayTrans( 
	Widget,
	XtPointer,
	XtPointer);

extern void KaWinSayVerb( 
	Widget,
	XtPointer,
	XtPointer);

extern void KaWinSayDel( 
	Widget,
	XtPointer,
	XtPointer);

#endif