/************************************************************************
**
** FILE  : simmisc.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"simmisc.h"
#include	"sim.h"
#include	"ste.h"
#include	"netsize.h"





/*************************************************************************
** FUNKTION:	SimCopyToMark
** ZWECK:	Kopiert die Markierung aller Stellen nach Mark.
**		Dabei wird gezaehlt, wieviele Marken > 0 sind.
** ANMERK: 	ACHTUNG: 
**		1. Mark wird nicht vollstaendig geaendert. Nur der Marken-
**		speicher der entsprechend EXISTIERENDEN Stellen wird
**		modifiziert.
**		2. In Mark wird die NEGATIVE Markierung eingetragen.
*************************************************************************/
void SimCopyToMark()
{
  register int		i;
  register STELLE	**s;
  register int		*m;

  nMark = 0;
    
  for (i=0, s=SteStelle, m=Mark; i<STEMAX; i++, s++, m++)
    if (*s)
      if ( (*m=-(*s)->Marke) )
        nMark++;
}  





