/************************************************************************
**
** FILE  : stepsinst.c
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#include	"stepsinst.h"
#include	"steps.h"
#include	"stepspop.h"

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Paned.h>
#include 	<X11/Xaw/AsciiText.h>
#include 	<X11/Xaw/Command.h>





/*************************************************************************
** FUNKTION:	StepsWinInst
** ZWECK:	
** EINGABE:	
** AUSGABE:
** RETURN: 	
** ANMERK: 	
*************************************************************************/
void StepsWinInst( Parent)
  Widget 	Parent;
{  
  StepsShell = XtVaCreatePopupShell(
	"StepsShell",
	transientShellWidgetClass,
	Parent,
	NULL);

  StepsPane = XtVaCreateManagedWidget(
	"StepsPane", 		/* widget name 			*/
	panedWidgetClass,	/* widget class 		*/
	StepsShell,		/* parent widget		*/
	NULL);			/* terminate argument list	*/
   
  StepsText = XtVaCreateManagedWidget(
	"StepsText", 		/* widget name 			*/
	asciiTextWidgetClass,	/* widget class 		*/
	StepsPane,		/* parent widget		*/
	XtNeditType,XawtextEdit,	/* argument list		*/
	XtNstring, "5",
	NULL);			/* terminate argument list	*/

  StepsOKCom = XtVaCreateManagedWidget(
	"StepsOKCom", 	/* widget name 			*/
	commandWidgetClass,	/* widget class 		*/
	StepsPane,		/* parent widget		*/
	XtNlabel, "OK",
	NULL);			/* terminate argument list	*/

  StepsCanCom = XtVaCreateManagedWidget(
	"StepsCanCom", 	/* widget name 			*/
	commandWidgetClass,	/* widget class 		*/
	StepsPane,		/* parent widget		*/
	XtNlabel, "can",
	NULL);			/* terminate argument list	*/

  XtAddCallback( StepsOKCom, XtNcallback, StepsSayOK, 0);
  XtAddCallback( StepsCanCom, XtNcallback, StepsSayCancel, 0);
}  





