/*********************************************************
**
** FILE:    stetype.h
**
** AUTOR:   Michael C. Ancutici		
**
** DATUM:   07.03.93
**
*********************************************************/
#ifndef	STETYPE_H
#define STETYPE_H


#include 	"netsize.h"
#include 	"misc.h"



/****** WERTEMENGE FUER BreakCond IN STELLE ****************************/
#define KEINE		'-'
#define KLEINER		'<'
#define	GROESSER	'>'
#define GLEICH		'='
#define UNGLEICH	'!'

#define ALTE_MARKE	-1

/****** ATTRIBUTE EINER STELLE ******************************************/
typedef struct {
  STRING10	Name;		/* Bezeichner der Stelle		*/
  int		Marke;		/* Markierung der Stelle		*/
  KOORDINATE	PosStelle;	/* Position der Stelle			*/
  void		*OrgSte;	/* Zeiger auf Original Cell Vertreter	*/
  KOORDINATE	PosName;	/* Position des Stellennamens		*/
  void		*OrgSteN;	/* Zeiger auf Original Cell Vertreter	*/
  char		BreakCond;	/* Art der Haltebedingung		*/
  int		BreakValue;	/* Wert der Haltebedingung		*/
} STELLE;


/****** LISTE ALLER STELLEN *********************************************/	
typedef STELLE		*STELLEN[ STEMAX];

#endif