/************************************************************************
**
** FILE  : stewin.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef STEWIN_HH
#define STEWIN_HH

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Form.h>
#include 	<X11/Xaw/Box.h>
#include 	<X11/Xaw/Paned.h>
#include 	<X11/Xaw/AsciiText.h>
#include 	<X11/Xaw/Command.h>

#include	"ste.h"
#include 	"stewin.h"
#include	"misc.h"
#include	"haste.h"

extern Widget		SteShell;
extern Widget 		StePane;
extern Widget		SteAForm;
extern Widget		SteBPane;
extern Widget		SteNrLabel;
extern Widget		SteNameLabel;
extern Widget		SteNameText;
extern Widget		SteMarkeLabel;
extern Widget		SteMarkeText;
extern Widget		SteBreakLabel;
extern Widget		SteBreakText;
extern Widget		SteOKCom;
extern Widget		SteCanCom;
extern Widget		SteMovCom;
extern Widget		SteDLabel;
extern Widget		SteDelCom;

extern int		SteWinNr;
extern STELLE		*SteWinStelle;

extern void SteWinSayOK( 
	Widget,
	XtPointer,
	XtPointer);

extern void SteWinSayCancel( 
	Widget,
	XtPointer,
	XtPointer);

extern void SteWinSayDel( 
	Widget,
	XtPointer,
	XtPointer);

#endif