/*********************************************************
**
** FILE:    tratype.h
**
** AUTOR:   Michael C. Ancutici		
**
** DATUM:   07.03.93
**
*********************************************************/
#ifndef	TRATYPE_H
#define TRATYPE_H

#include 	"netsize.h"
#include 	"misc.h"


#define	TRA_0		'a'
#define TRA_1		'b'
#define TRA_3		'c'
#define	TRA_5		'd'
#define TRA_QUAD	'e'

#define TBREAKON	'B'
#define TBREAKOFF	(char)0


/****** ATTRIBUTE EINER TRANSITION */
typedef struct {
  STRING10	Name;		/* Bezeichner der Transition		*/
  int		Prio;		/* Prioritaet einer Transition		*/
  KOORDINATE	PosTrans;	/* Position der Transition		*/
  void		*OrgTra;
  KOORDINATE	PosName;	/* Position des Transitionsnamens	*/
  void		*OrgTraN;
  char		Break;
  char		Darstellung;	/* Darstellung der Transition (|,/,-,..)*/
} TRANSITION;



/****** LISTE ALLER TRANSITIONEN */
typedef TRANSITION	*TRANSITIONEN[ TRAMAX];


#endif