/************************************************************************
**
** FILE  : trawin.H
**
** ZWECK : 
**
** AUTOR : Michael C. Ancutici
**	   Universitaet Stuttgart, Fakultaet Informatik
**
** DATUM : 14.03.93
**									
*************************************************************************/
#ifndef TRAWIN_HH
#define TRAWIN_HH

#include 	<X11/Intrinsic.h>
#include 	<X11/StringDefs.h>
#include	<X11/Shell.h>
#include 	<X11/Xaw/Label.h>
#include 	<X11/Xaw/Form.h>
#include 	<X11/Xaw/Box.h>
#include 	<X11/Xaw/AsciiText.h>
#include 	<X11/Xaw/Command.h>

#include	"tra.h"
#include 	"trawin.h"
#include	"misc.h"


#define	TRA_ON_LABEL	"ON "
#define TRA_OFF_LABEL	"OFF"

extern Widget		TraShell;
extern Widget 		TraPane;
extern Widget		TraAForm;
extern Widget		TraBPane;
extern Widget		TraNrLabel;
extern Widget		TraNameLabel;
extern Widget		TraNameText;
extern Widget		TraPrioLabel;
extern Widget		TraPrioText;
extern Widget		TraBreakLabel;
extern Widget		TraBreakCom;
extern Widget		TraOKCom;
extern Widget		TraCanCom;
extern Widget		TraDLabel;
extern Widget		TraDelCom;

extern int		TraWinNr;
extern TRANSITION	*TraWinTrans;
extern BOOLEAN		TraWinBreak;


extern void TraWinSayBreak( 
	Widget,
	XtPointer,
	XtPointer);

extern void TraWinSayOK( 
	Widget,
	XtPointer,
	XtPointer);

extern void TraWinSayCancel( 
	Widget,
	XtPointer,
	XtPointer);

extern void TraWinSayMov( 
	Widget,
	XtPointer,
	XtPointer);

extern void TraWinSayMovn( 
	Widget,
	XtPointer,
	XtPointer);

extern void TraWinSayChange( 
	Widget,
	XtPointer,
	XtPointer);


extern void TraWinSayDel( 
	Widget,
	XtPointer,
	XtPointer);

#endif